zenilib: Zeni::Sound_Source_Pool::Positional_Replacement_Policy Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Sound_Source_Pool::Positional_Replacement_Policy Class Reference

`#include <Sound_Source_Pool.h>`

Inherits Zeni::Sound_Source_Pool::Replacement_Policy.

## Public Member Functions

| Positional_Replacement_Policy (const Point3f &listener_position_)
virtual bool | operator() (const Sound_Source &lhs, const Sound_Source &rhs) const
| Positional Priority Sort: Playing/Not-Playing, Priority, Computed Gain, Recency. More...
Public Member Functions inherited from Zeni::Sound_Source_Pool::Replacement_Policy
virtual | ~Replacement_Policy ()
bool | operator() (const Sound_Source *const &lhs, const Sound_Source *const &rhs) const

## Public Attributes

Point3f | listener_position

## Detailed Description

Definition at line 93 of file Sound_Source_Pool.h.

## Constructor & Destructor Documentation

Zeni::Sound_Source_Pool::Positional_Replacement_Policy::Positional_Replacement_Policy | ( | const Point3f & | listener_position_ | ) |

Definition at line 99 of file Sound_Source_Pool.cpp.

## Member Function Documentation

bool Zeni::Sound_Source_Pool::Positional_Replacement_Policy::operator() | ( | const Sound_Source & | lhs,
|  | const Sound_Source & | rhs
| ) |  | const

virtual

Positional Priority Sort: Playing/Not-Playing, Priority, Computed Gain, Recency.

Reimplemented from Zeni::Sound_Source_Pool::Replacement_Policy.

Definition at line 104 of file Sound_Source_Pool.cpp.

References Zeni::Sound_Source::calculate_gain(), Zeni::Sound_Source::get_priority(), Zeni::Sound_Source::get_unstop_time(), and Zeni::Sound_Source::is_playing().

## Member Data Documentation

Point3f Zeni::Sound_Source_Pool::Positional_Replacement_Policy::listener_position

Definition at line 100 of file Sound_Source_Pool.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_audio/Zeni/Sound_Source_Pool.h
- zenilib/jni/external/zenilib/zeni_audio/Sound_Source_Pool.cpp